package simple.version;

import java.io.StringReader;

import javax.xml.transform.sax.SAXSource;

import net.sf.saxon.trans.XPathException;
import net.sf.saxon.xpath.XPathEvaluator;
import net.sf.saxon.xpath.XPathExpressionImpl;

import org.xml.sax.InputSource;

public class NotWorkingVersion {
	private static final String XML = "<A><MyValue>blah</MyValue></A>";
	private static final String XPATH = "string(//A/MyValue)";

	public void validXml() {
		try {
			XPathEvaluator evaluator = new XPathEvaluator( new SAXSource( new InputSource( new StringReader( XML ) ) ) );
			XPathExpressionImpl expression = evaluator.createExpression( XPATH );
			String myValue = (String)expression.evaluateSingle();

			if ( !myValue.equals( "blah" ) ) {
				throw new RuntimeException( "The element, MyValue, doesn't match the expected xpath" );
			}
		}
		catch ( XPathException ex ) {
			throw new RuntimeException( ex );
		}
	}

}
